Subject: Re: [PATCH v2 02/11] reftable: handle interrupted reads

From: Taylor Blau <[email-masked]>
Date: Fri, 8 Dec 2023 16:30:02 -0500

On Fri, Dec 08, 2023 at 03:53:02PM +0100, Patrick Steinhardt wrote:
> There are calls to pread(3P) and read(3P) where we don't properly handle
> interrupts. Convert them to use `pread_in_full()` and `read_in_full()`,

Just checking... do you mean "interrupt" in the kernel sense? Or are you
referring to the possibility of short reads/writes (in later patches)?

Thanks,
Taylor